MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
PeakBuffer Class Reference

A FIFO-like buffer that will allocate more memory on demand to allow large peaks. More...

`#include <PeakBuffer.hxx>`

## Public Member Functions
| PeakBuffer (size_t _normal_size, size_t _peak_size)
| PeakBuffer (PeakBuffer &&other)
| ~PeakBuffer ()
| PeakBuffer (const PeakBuffer &)=delete
PeakBuffer & | operator= (const PeakBuffer &)=delete
gcc_pure bool | IsEmpty () const
gcc_pure WritableBuffer< void > | Read () const
void | Consume (size_t length)
bool | Append (const void *data, size_t length)

## Detailed Description

A FIFO-like buffer that will allocate more memory on demand to allow large peaks.

This second buffer will be given back to the kernel when it has been consumed.

Definition at line 36 of file PeakBuffer.hxx.

## Constructor & Destructor Documentation

PeakBuffer::PeakBuffer | ( | size_t | _normal_size,
|  | size_t | _peak_size
| ) |  |
| inline

Definition at line 42 of file PeakBuffer.hxx.

PeakBuffer::PeakBuffer | ( | PeakBuffer && | other | ) |
| inline

Definition at line 46 of file PeakBuffer.hxx.

PeakBuffer::~PeakBuffer | ( |  | ) |

PeakBuffer::PeakBuffer | ( | const PeakBuffer & |  | ) |
| delete

## Member Function Documentation

bool PeakBuffer::Append | ( | const void * | data,
|  | size_t | length
| ) |  |

void PeakBuffer::Consume | ( | size_t | length | ) |

gcc_pure bool PeakBuffer::IsEmpty | ( |  | ) | const

PeakBuffer& PeakBuffer::operator= | ( | const PeakBuffer & |  | ) |
| delete

gcc_pure WritableBuffer<void> PeakBuffer::Read | ( |  | ) | const

The documentation for this class was generated from the following file:

- util/PeakBuffer.hxx